Package com.smartgwt.client.types

# Enum ImageStyle

java.lang.Object
java.lang.Enum<ImageStyle>
com.smartgwt.client.types.ImageStyle

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<ImageStyle>`, `Constable`

public enum ImageStyle extends Enum<ImageStyle> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CENTER`
  Center (and don't stretch at all) the image if smaller than its enclosing frame.CENTER:"center",
  `NORMAL`
  Allow the image to have natural size
  `STRETCH`
  Stretch the image to the size of its enclosing frame.
  `TILE`
  Tile (repeat) the image if smaller than its enclosing frame.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static ImageStyle`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ImageStyle[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CENTER

    public static final ImageStyle CENTER
    Center (and don't stretch at all) the image if smaller than its enclosing frame.CENTER:"center",

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "center".

  - ### TILE

    public static final ImageStyle TILE
    Tile (repeat) the image if smaller than its enclosing frame.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "tile".

  - ### STRETCH

    public static final ImageStyle STRETCH
    Stretch the image to the size of its enclosing frame.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "stretch".

  - ### NORMAL

    public static final ImageStyle NORMAL
    Allow the image to have natural size

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "normal".

- ## Method Details

  - ### values

    public static ImageStyle[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ImageStyle valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`